with GNATCOM.Dispinterface;

package MSHTML.IHTMLDocument7_Object is

   type IHTMLDocument7_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_defaultView
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function createCDATASection
     (This : IHTMLDocument7_Type;
      text : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getSelection
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function getElementsByTagNameNS
     (This          : IHTMLDocument7_Type;
      pvarNS        : GNATCOM.Types.VARIANT;
      bstrLocalName : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function createElementNS
     (This    : IHTMLDocument7_Type;
      pvarNS  : GNATCOM.Types.VARIANT;
      bstrTag : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function createAttributeNS
     (This         : IHTMLDocument7_Type;
      pvarNS       : GNATCOM.Types.VARIANT;
      bstrAttrName : GNATCOM.Types.VARIANT;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmsthumbnailclick
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmsthumbnailclick
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_characterSet
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function createElement
     (This    : IHTMLDocument7_Type;
      bstrTag : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function createAttribute
     (This         : IHTMLDocument7_Type;
      bstrAttrName : GNATCOM.Types.VARIANT;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getElementsByClassName
     (This : IHTMLDocument7_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function createProcessingInstruction
     (This       : IHTMLDocument7_Type;
      bstrTarget : GNATCOM.Types.VARIANT;
      bstrData   : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function adoptNode
     (This        : IHTMLDocument7_Type;
      pNodeSource : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onmssitemodejumplistitemremoved
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onmssitemodejumplistitemremoved
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_all
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_inputEncoding
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_xmlEncoding
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmlStandalone
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlStandalone
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmlVersion
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlVersion
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function hasAttributes
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onabort
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onabort
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onblur
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onblur
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplay
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplay
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplaythrough
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplaythrough
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onchange
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrag
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrag
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragend
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragend
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragenter
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragenter
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragleave
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragleave
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondragover
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondragover
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondrop
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondrop
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondurationchange
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondurationchange
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onemptied
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onemptied
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onended
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onended
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onfocus
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onfocus
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oninput
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oninput
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadeddata
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadeddata
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadedmetadata
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadedmetadata
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadstart
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadstart
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpause
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpause
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplay
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplay
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplaying
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplaying
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onprogress
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onprogress
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onratechange
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onratechange
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreset
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreset
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onscroll
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onscroll
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeked
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeked
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeking
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeking
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onstalled
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onstalled
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsubmit
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsubmit
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsuspend
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsuspend
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ontimeupdate
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ontimeupdate
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onvolumechange
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvolumechange
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onwaiting
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onwaiting
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure normalize
     (This : IHTMLDocument7_Type);

   function importNode
     (This        : IHTMLDocument7_Type;
      pNodeSource : GNATCOM.Types.VARIANT;
      fDeep       : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_parentWindow
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_body
     (This : IHTMLDocument7_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_body
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

   function Get_head
     (This : IHTMLDocument7_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDocument7_Object;

